{
  "id": "3f1e4feaeb4f679a1b2e9c61",
  "source": "go:parse",
  "type": "go-type",
  "title": "parse.type FieldNode",
  "content": "# type parse.type FieldNode ¶\n\n```\ntype FieldNode struct {\n\tNodeType\n\tPos\n\n\tIdent []string // The identifiers in lexical order.\n\t// contains filtered or unexported fields\n}\n```\n\nFieldNode holds a field (identifier starting with '.').\nThe names may be chained ('.x.y').\nThe period is dropped from each ident.",
  "url": "https://pkg.go.dev/parse#type FieldNode ¶",
  "metadata": {
    "fields": "null",
    "import_path": "Standard library/text/template/parse",
    "kind": "type",
    "method_count": 0,
    "package": "parse",
    "symbol": "type FieldNode ¶",
    "type_kind": "alias",
    "underlying": "type FieldNode struct {\n\tNodeType\n\tPos\n\n\tIdent []string // The identifiers in lexical order.\n\t// contains filtered or unexported fields\n}"
  },
  "hash": "11d5897fa33291791ff8f8f9fb044702a2d715901173effba6e7b604ffdd7201",
  "timestamp": "2026-02-23T11:22:10.617585643+01:00"
}